package pigGame.model;

public class PigPlayer {

	protected String name;
	protected int score;
	protected int turn;
	
	public PigPlayer(String name) {
		this.name = name;
		score = 0;
	}
	
	public String getName() {
		return name;
	}
	
	public int getScore() {
		return score;
	}

	public int getTurnTotal() {
		return turn;
	}
	
	public void resetTurn() {
		turn = 0;
	}
	
	public boolean willHold() {
		return false;
	}
	
	public void updateTurn(int roll) {
		turn += roll;
	}
	
	public void updateScore() {
		score += turn;
		resetTurn();
	}
}
