package pigGame.model;

public class Dice {

	private int sides;
	private int top;
	
	public Dice(int sides, int top) {
		this.sides = sides;
		this.top = top;
	}
	
	public Dice() {
		this(6, 0);
	}
	
	public int getTop() {
		return top;
	}
	
	public void setTop(int top) {
		if (top >= 0 && top <= sides) {
			this.top = top;
		}
	}
	
	public void roll() {
		top = 1 + (int)(Math.random() * sides);
	}
}
